🚀 Teable Credits Up 10x! See our changelog for details.
curl --request PUT \
--url https://app.teable.ai/api/oauth/client/%7BclientId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"clientId":"string","name":"string","secrets":[{"id":"string","secret":"string","lastUsedTime":"string"}],"scopes":["string"],"logo":"http://example.com","homepage":"http://example.com","redirectUris":["http://example.com"]}'{
"clientId": "<string>",
"name": "<string>",
"homepage": "<string>",
"redirectUris": [
"<string>"
],
"secrets": [
{
"id": "<string>",
"secret": "<string>",
"lastUsedTime": "<string>"
}
],
"scopes": [
"<string>"
],
"logo": "<string>"
}Update an OAuth application
curl --request PUT \
--url https://app.teable.ai/api/oauth/client/%7BclientId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"clientId":"string","name":"string","secrets":[{"id":"string","secret":"string","lastUsedTime":"string"}],"scopes":["string"],"logo":"http://example.com","homepage":"http://example.com","redirectUris":["http://example.com"]}'{
"clientId": "<string>",
"name": "<string>",
"homepage": "<string>",
"redirectUris": [
"<string>"
],
"secrets": [
{
"id": "<string>",
"secret": "<string>",
"lastUsedTime": "<string>"
}
],
"scopes": [
"<string>"
],
"logo": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?